- entityDefinitions:
  - IDC_ArithmeticCalculation: '{faf59b68-47bf-44aa-afe8-0fdd9b1af5c3}'
  
  - IDR_Arithmetic_Calculation__has__Arithmetic_Operator: '{f286edc6-0875-41bf-8fe9-127b8c0664ae}'
  - IDR_Arithmetic_Operator__for__Arithmetic_Calculation: '{f6fac31c-6b6d-4d9e-8432-150b8ff1b2cd}'

  - IDR_Arithmetic_Calculation__has_first_operand__Calculation: '{4f002495-dee4-4eca-8a15-beb8f928648d}'
  - IDR_Calculation__first_operand_for__Arithmetic_Calculation: '{345ff3d2-1ec2-4b4f-92c4-676f99ae2b27}'

  - IDR_Arithmetic_Calculation__has_second_operand__Calculation: '{0d74918d-5e7b-4492-9fa4-e35558f40ef3}'
  - IDR_Calculation__second_operand_for__Arithmetic_Calculation: '{faeea4f0-a58c-4796-9a9d-052161c987ed}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ArithmeticCalculation;'
    name: 'Arithmetic Calculation (All)'
    index: 1262
    inherits: '&IDC_Calculation;'
    superclasses:
    - instance: '&IDC_Calculation;'

  - relationship: '&IDR_Arithmetic_Calculation__has__Arithmetic_Operator;'
    index: 3142
    sourceClassId: '&IDC_ArithmeticCalculation;'
    type: 'has'
    destinationClassId: '&IDC_ArithmeticOperator;'
    siblingRelationshipId: '&IDR_Arithmetic_Operator__for__Arithmetic_Calculation;'
    singular: yes

  - relationship: '&IDR_Arithmetic_Operator__for__Arithmetic_Calculation;'
    index: 3143
    sourceClassId: '&IDC_ArithmeticOperator;'
    type: 'for'
    destinationClassId: '&IDC_ArithmeticCalculation;'
    siblingRelationshipId: '&IDR_Arithmetic_Calculation__has__Arithmetic_Operator;'
    singular: no
    
  - relationship: '&IDR_Arithmetic_Calculation__has_first_operand__Calculation;'
    index: 3144
    sourceClassId: '&IDC_ArithmeticCalculation;'
    type: 'has first operand'
    destinationClassId: '&IDC_Calculation;'
    siblingRelationshipId: '&IDR_Calculation__first_operand_for__Arithmetic_Calculation;'
    singular: yes

  - relationship: '&IDR_Calculation__first_operand_for__Arithmetic_Calculation;'
    index: 3145
    sourceClassId: '&IDC_Calculation;'
    type: 'first operand for'
    destinationClassId: '&IDC_ArithmeticCalculation;'
    siblingRelationshipId: '&IDR_Arithmetic_Calculation__has_first_operand__Calculation;'
    singular: no
    
  - relationship: '&IDR_Arithmetic_Calculation__has_second_operand__Calculation;'
    index: 3146
    sourceClassId: '&IDC_ArithmeticCalculation;'
    type: 'has second operand'
    destinationClassId: '&IDC_Calculation;'
    siblingRelationshipId: '&IDR_Calculation__second_operand_for__Arithmetic_Calculation;'
    singular: yes

  - relationship: '&IDR_Calculation__second_operand_for__Arithmetic_Calculation;'
    index: 3147
    sourceClassId: '&IDC_Calculation;'
    type: 'second operand for'
    destinationClassId: '&IDC_ArithmeticCalculation;'
    siblingRelationshipId: '&IDR_Arithmetic_Calculation__has_second_operand__Calculation;'
    singular: no
    